Bug 170245 - x86info fails on single-processor Opteron 246 system
x86info fails on single-processor Opteron 246 system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: x86info (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-09 22:17 EDT by Eric Smith
Modified: 2015-01-04 17:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-16 19:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2005-10-09 22:17:29 EDT
Description of problem:
On a single-processor Opteron 246 system, x86info fails with the
message "readEntry: Operation not permitted", then "found 1 CPU" (with
no newline).  Same results with any arguments, including "-a" and "-h".

Version-Release number of selected component (if applicable):
x86info-1.15-1.11

How reproducible:
100%

Steps to Reproduce:
1. run "x86info -a" (or other args)
  
Actual results:
[root@bang ~]# /usr/sbin/x86info -a
x86info v1.15.  Dave Jones 2001-2005
Feedback to <davej@redhat.com>.

readEntry: Operation not permitted
Found 1 CPU[root@bang ~]#

Expected results:
no error, more processor information

Additional info:
Tyan S2892 motherboard, 2G registered ECC DDR400 memory
kernel-2.6.13-1.1526_FC4
/dev/cpu/0/cpu does exist

/proc/cpuinfo contains:
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 5
model name      : AMD Opteron(tm) Processor 246
stepping        : 10
cpu MHz         : 2009.275
cache size      : 1024 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext lm 3dnowext 3dnow
bogomips        : 4022.84
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp

The same version of x86info and kernel yields the correct results (and
no error) on an Athlon 64 3500+ system (Asus A8V motherboard), suggesting
that this may be an Opteron-specific bug.
Comment 1 Eric Smith 2005-10-09 22:19:12 EDT
I can provide an account for SSH access to the Opteron system exhibiting the
failure, if that is useful to you.
Comment 2 Dave Jones 2005-10-16 19:05:34 EDT
1.16 is in updates, and that should fix this.

Note You need to log in before you can comment on or make changes to this bug.